#include "defo.h"

#ifdef PLANAR
void cuteCalculation(const MyInterval &x, const MyInterval &y, MyInterval &qx, MyInterval &qy,
                     int rExp, int bExp);
/*
 * we are calculating: q^bExp/|q|^{rExp}
 On output:
 * qx = x^bExp/r^{rExp}, qy = y^bExp/r^{rExp}
   where (x,y) \in x \times y
 */

void cuteCalculationFast(const MyInterval &x, const MyInterval &y,
                         MyInterval &qx, MyInterval &qy);
/* we are calculating:
 * qx = 3x^/r^{5} - 1/r^3
 * qy = 3y^/r^{5} - 1/r^3
 */

void cuteCalcMixed(const MyInterval &x, const MyInterval &y,
                   MyInterval &qxy);
/* we are calculating:
 * qxy = xy/r^{5}
 * we consider lines:
 * * y = +/- 2x
 * * x = 0
 * * y = 0
 */
#endif
#ifdef SPATIAL
void cuteCalculation(const MyInterval &x, const MyInterval &y, const MyInterval &z,
                     MyInterval &qx, MyInterval &qy, MyInterval &qz,
                     int rExp, int bExp);
/*
 * we are calculating: q^bExp/|q|^{rExp}
 On output:
 * qx = x^bExp/r^{rExp}, qy = y^bExp/r^{rExp}, qz = z^bExp/r^{rExp}
   where (x,y,z) \in x \times y \times z
 */
#endif
