#ifndef findsymmetry_h
#define findsymmetry_h

#include "bodies.h"

void writeDiffCCandTestSymmetry(int ccNo, vector<Bodies> &ccSolutions, vector<int> &markedSolutions,
                                ofstream &outFileTest, ofstream &outFileFailed);

bool establishPermutation(const Bodies &bodies, int permutation[], MyMatrix &R);
// for a given ortogonal matrix R the function tries to find a permutation[]
// such that (permutation,R) will be the symmetry of CC contained in bodies
// bodies - is a box containing a unique CC

bool proveSymmetryWriteToReportFile(const Bodies &bodies, int permutation[], MyMatrix &RT, bool sg,
                                    ofstream &outFileTest, ofstream &outFileFailed);
//  the function proves that (permutation,RT) is a symmetry and writes its description to the report file (cout)
//  bodies - is a box containing a unique CC
//  the symmetry is given as a pair (permutation[],RT)
// // sg --- sign of det of matrix R:
// sg = TRUE <==> det(R) = 1 <==> R+
// sg = FALSE <==> det(R) = -1 <==> R-
//  Return "true" - is the symmetry has been proved
//         "false" - otherwise

#endif
